# Interface methods for submodule: OrientImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: OrientImageFilter
class OrientImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetGivenCoordinateOrientation(self):
		""""""
		...

	def SetGivenCoordinateOrientation(self, newCode) -> None:
		""""""
		...

	def SetGivenCoordinateDirection(self, GivenDirection) -> None:
		""""""
		...

	def GetDesiredCoordinateOrientation(self):
		""""""
		...

	def SetDesiredCoordinateOrientation(self, newCode) -> None:
		""""""
		...

	def SetDesiredCoordinateDirection(self, DesiredDirection) -> None:
		""""""
		...

	def UseImageDirectionOn(self) -> None:
		""""""
		...

	def UseImageDirectionOff(self) -> None:
		""""""
		...

	def GetUseImageDirection(self) -> bool:
		""""""
		...

	def SetUseImageDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetPermuteOrder(self) -> Sequence[int]:
		""""""
		...

	def GetFlipAxes(self) -> Sequence[bool]:
		""""""
		...

	def SetDesiredCoordinateOrientationToAxial(self) -> None:
		""""""
		...

	def SetDesiredCoordinateOrientationToCoronal(self) -> None:
		""""""
		...

	def SetDesiredCoordinateOrientationToSagittal(self) -> None:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

